MyGUI 3.2.2

Public Member Functions | Data Fields
MyGUI::SubWidgetInfo Struct Reference

`#include <MyGUI_SubWidgetInfo.h>`

## Public Member Functions
| SubWidgetInfo (const std::string &_type, const IntCoord &_coord, Align _align)

## Data Fields
IntCoord | coord
Align | align
std::string | type

## Detailed Description

Definition at line 16 of file MyGUI_SubWidgetInfo.h.

## Constructor & Destructor Documentation

## ◆ SubWidgetInfo()

MyGUI::SubWidgetInfo::SubWidgetInfo | ( | const std::string & | _type,
|  | const IntCoord & | _coord,
|  | Align | _align
| ) |  |
| inline

Definition at line 19 of file MyGUI_SubWidgetInfo.h.

## Field Documentation

## ◆ align

Align MyGUI::SubWidgetInfo::align

Definition at line 28 of file MyGUI_SubWidgetInfo.h.

## ◆ coord

IntCoord MyGUI::SubWidgetInfo::coord

Definition at line 27 of file MyGUI_SubWidgetInfo.h.

## ◆ type

std::string MyGUI::SubWidgetInfo::type

Definition at line 29 of file MyGUI_SubWidgetInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_SubWidgetInfo.h